Bug 151620 - Don't hardcode the full /usr/bin/gcc path in c89, c99 wrappers
Don't hardcode the full /usr/bin/gcc path in c89, c99 wrappers
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
: EasyFix, FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-20 18:21 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 4.0.0-0.35
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-21 15:58:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-03-20 18:21:38 EST
Using "gcc" instead of "/usr/bin/gcc" in /usr/bin/c89 and /usr/bin/c99 would
allow various "wrappers", such as ccache from Fedora Extras, to plug
transparently into them.  In the ccache case, this change would allow it to
cache compilations done with these wrapper scripts.

Note You need to log in before you can comment on or make changes to this bug.